#include <p16f690.inc>
	GLOBAL DIO_Config
;
DIO_SECTION0 CODE	
DIO_Config
;
	;OPTION_REG: OPTION REGISTER
	BANKSEL OPTION_REG	
	;bit 7 RABPU: PORTA/PORTB Pull-up Enable bit
		;1 = Pull-ups on PORTA/PORTB are disabled
		;0 = Pull-ups on PORTA/PORTB are disabled by individual WPUAx control bits
	BCF OPTION_REG,NOT_RABPU
;
;____________________________________________________________________________________________________
;
	;WPUA: PORTA REGISTER
	BANKSEL WPUA 
	;bit 7-6 Unimplemented: Read as 0
	;bit 5-4 WPUA<5:4>: Weak Pull-up Register bit
		;1 = Pull-up enabled
		;0 = Pull-up disabled
	BSF WPUA,WPUA5
	BSF WPUA,WPUA4
	;bit 3 Unimplemented: Read as 0
		;Input RA3 is not configurable.  Enabled in MCLR mode and disabled as input
	;bit 2-0 WPUA<2:0>: Weak Pull-up Register bit
		;1 = Pull-up enabled
		;0 = Pull-up disabled
	BSF WPUA,WPUA2
	BSF WPUA,WPUA1
	BSF WPUA,WPUA0
	;Note 1: Global RABPU bit of the OPTION register must be enabled for individual pull-ups to be enabled.
	;Note 2: The weak pull-up device is automatically disabled if the pin is in Output mode (TRISA = 0).
	;Note 3: The RA3 pull-up is enabled when configured as MCLR and disabled as an I/O in the Configuration Word.
	;Note 4: WPUA<5:4> always reads 1 in XT, HS and LP Oscillator modes.
;
	;IOCA: INTERRUPT-ON-CHANGE PORTA REGISTER
	BANKSEL IOCA
	;bit 7-6 Unimplemented: Read as 0
	;bit 5-0 IOCA<5:0>: Interrupt-on-change PORTA Control bit
		;1 = Interrupt-on-change enabled
		;0 = Interrupt-on-change disabled
	BCF IOCA,IOCA5
	BCF IOCA,IOCA4
	BCF IOCA,IOCA3
	BCF IOCA,IOCA2
	BCF IOCA,IOCA1
	BCF IOCA,IOCA0
	;Note 1: Global Interrupt Enable (GIE) must be enabled for individual interrupts to be recognized.
	;Note2: IOCA<5:4> always reads 1 in XT, HS and LP Oscillator modes.
;
	;TRISA: PORTA TRI-STATE REGISTER
	BANKSEL TRISA
	;bit 7-6 Unimplemented: Read as 0
	;bit 5-0 TRISA<5:0>: PORTA Tri-State Control bit
		;1 = PORTA pin configured as an input (tri-stated)
		;0 = PORTA pin configured as an output
	BSF TRISA,TRISA5
	BSF TRISA,TRISA4
	BSF TRISA,TRISA3
	BSF TRISA,TRISA2
	BSF TRISA,TRISA1
	BCF TRISA,TRISA0
	;Note 1: TRISA<3> always reads 1.
	;Note 2: TRISA<5:4> always reads 1 in XT, HS and LP Oscillator modes.
;
;____________________________________________________________________________________________________
;
	;WPUB: WEAK PULL-UP PORTB REGISTER
	BANKSEL WPUB 
	;bit 7-4 WPUB<7:4>: Weak Pull-up Register bit
		;1 = Pull-up enabled
		;0 = Pull-up disabled
	BSF WPUB,WPUB7
	BSF WPUB,WPUB6
	BSF WPUB,WPUB5
	BSF WPUB,WPUB4
	;bit 3-0 Unimplemented: Read as 0
	;Note 1: Global RABPU bit of the OPTION register must be enabled for individual pull-ups to be enabled.
	;Note 2: The weak pull-up device is automatically disabled if the pin is in Output mode (TRISB<7:4> = 0).
	
	;IOCB: INTERRUPT-ON-CHANGE PORTB REGISTER
	BANKSEL IOCB
	;bit 7-4 IOCB<7:4>: Interrupt-on-Change PORTB Control bit
		;1 = Interrupt-on-change enabled
		;0 = Interrupt-on-change disabled
	BCF IOCB,IOCB7
	BCF IOCB,IOCB6
	BCF IOCB,IOCB5
	BCF IOCB,IOCB4
	;bit 3-0 Unimplemented: Read as 0

	;TRISB: PORTB TRI-STATE REGISTER
	BANKSEL TRISB
	;bit 7-4 TRISB<7:4>: PORTB Tri-State Control bit
		;1 = PORTB pin configured as an input (tri-stated)
		;0 = PORTB pin configured as an output
	BSF TRISB,TRISB7
	BSF TRISB,TRISB6
	BSF TRISB,TRISB5
	BSF TRISB,TRISB4
	;bit 3-0 Unimplemented: Read as 0
;
;____________________________________________________________________________________________________
;
	;TRISC: PORTC TRI-STATE REGISTER
	BANKSEL TRISC
	;bit 7-0 TRISC<7:0>: PORTC Tri-State Control bit
		;1 = PORTC pin configured as an input (tri-stated)
		;0 = PORTC pin configured as an output	BANKSEL TRISC
	BSF TRISC,TRISC0
	BSF TRISC,TRISC1
	BSF TRISC,TRISC2
	BSF TRISC,TRISC3
	BSF TRISC,TRISC4
	BSF TRISC,TRISC5
	BSF TRISC,TRISC6
	BSF TRISC,TRISC7
;
;____________________________________________________________________________________________________
;
	RETURN
	END