#include <p16f690.inc>
;
;Configure PIC
	__CONFIG( _FCMEN_OFF & _IESO_OFF & _BOR_ON & _BOR_OFF & _CPD_OFF & _CP_OFF & _MCLRE_OFF & _PWRTE_OFF & _WDT_OFF & _INTOSCIO)
;
;Include other ".asm" files
	EXTERN INT_Config,INT_CheckBits
	;EXTERN IA_Length,IA_Address,IA_Data,fnIndirectAddress
	EXTERN OSC_ConfigInternalHz
	EXTERN ADC_Config
	EXTERN DIO_Config
	;EXTERN TMR0_Config
	;EXTERN SSP_Config
	EXTERN SCP_Config
;
;Add registers
MAIN_DATA UDATA
;Temp1 RES 1
;
;Define variables
TempW equ 0x70
TempStatus equ 0x71
;
;Define Main program start position
RST CODE 0x00
	PAGESEL MainProgram
	GOTO MainProgram
;
;Define Interrupt start position
INTVEC CODE 0x04
	GOTO InterruptServiceRoutine
;
;Interrupt service routine
ISR CODE 0x05
InterruptServiceRoutine
	;Copy W to Temporary Register
	MOVWF TempW
	;Swap STATUS nibbles into W
	SWAPF STATUS,W
	;Move W to TempStatus
	MOVWF TempStatus
;
	PAGESEL INT_CheckBits
	CALL INT_CheckBits
;
	;Swap original STATUS into W
	SWAPF TempStatus,W
	;Restore STATUS from W
	MOVWF STATUS
	;Swap TempW nibbles and return to TempW
	SWAPF TempW,F
	;Swap TempW nibbles to W
	SWAPF TempW,W
	RETFIE
;
;Main program code
PGMAIN CODE
MainProgram
;
	;Call all configuration .asm files
;
;	PAGESEL OSC_ConfigInternalHz
;	CALL OSC_ConfigInternalHz
;
	PAGESEL ADC_Config
	CALL ADC_Config
;
	PAGESEL DIO_Config
	CALL DIO_Config
;
	PAGESEL INT_Config
	CALL INT_Config
;
	PAGESEL SCP_Config
	CALL SCP_Config
;
done goto done
	END